|
|
@ -3,7 +3,7 @@ new file mode 100755
|
|
|
|
index 0000000..6d06fc7
|
|
|
|
index 0000000..6d06fc7
|
|
|
|
--- /dev/null
|
|
|
|
--- /dev/null
|
|
|
|
+++ b/usr/lib/finish-install.d/08rcn-omap
|
|
|
|
+++ b/usr/lib/finish-install.d/08rcn-omap
|
|
|
|
@@ -0,0 +1,35 @@
|
|
|
|
@@ -0,0 +1,37 @@
|
|
|
|
+#!/bin/sh -e
|
|
|
|
+#!/bin/sh -e
|
|
|
|
+cp /etc/flash-kernel.conf /target/etc/flash-kernel.conf
|
|
|
|
+cp /etc/flash-kernel.conf /target/etc/flash-kernel.conf
|
|
|
|
+cp /etc/ttyO2.conf /target/etc/init/ttyO2.conf
|
|
|
|
+cp /etc/ttyO2.conf /target/etc/init/ttyO2.conf
|
|
|
@ -21,9 +21,11 @@ index 0000000..6d06fc7
|
|
|
|
+ rm -f /tmp/mmc/uImage || true
|
|
|
|
+ rm -f /tmp/mmc/uImage || true
|
|
|
|
+ rm -f /tmp/mmc/uImage.bak || true
|
|
|
|
+ rm -f /tmp/mmc/uImage.bak || true
|
|
|
|
+
|
|
|
|
+
|
|
|
|
+ mv /tmp/mmc/uInitrd.end /tmp/mmc/uInitrd
|
|
|
|
|
|
|
|
+ mv /tmp/mmc/uImage.net /tmp/mmc/uImage
|
|
|
|
+ mv /tmp/mmc/uImage.net /tmp/mmc/uImage
|
|
|
|
+ LD_LIBRARY_PATH=/target/lib /target/usr/bin/dpkg-deb -x /tmp/mmc/linux-image-*_1.0*_armel.deb /target/
|
|
|
|
+ LD_LIBRARY_PATH=/target/lib /target/usr/bin/dpkg-deb -x /tmp/mmc/linux-image-*_1.0*_armel.deb /target/
|
|
|
|
|
|
|
|
+ chroot /target update-initramfs -c -k `uname -r`
|
|
|
|
|
|
|
|
+ chroot /target mkimage -A arm -O linux -T ramdisk -C none -a 0 -e 0 -n initramfs -d /boot/initrd.img-`uname -r` /boot/uInitrd
|
|
|
|
|
|
|
|
+ cp /target/boot/uInitrd /tmp/mmc/uInitrd
|
|
|
|
+ rm -f /tmp/mmc/linux-image-*_1.0*_armel.deb || true
|
|
|
|
+ rm -f /tmp/mmc/linux-image-*_1.0*_armel.deb || true
|
|
|
|
+ sync
|
|
|
|
+ sync
|
|
|
|
+ umount /tmp/mmc
|
|
|
|
+ umount /tmp/mmc
|
|
|
@ -34,7 +36,7 @@ index 0000000..6d06fc7
|
|
|
|
+ #smsc95xx kevent workaround/hack
|
|
|
|
+ #smsc95xx kevent workaround/hack
|
|
|
|
+ echo "vm.min_free_kbytes = 8192" >> /target/etc/sysctl.conf
|
|
|
|
+ echo "vm.min_free_kbytes = 8192" >> /target/etc/sysctl.conf
|
|
|
|
+
|
|
|
|
+
|
|
|
|
+ cp -ru /lib/firmware/ /target/lib/
|
|
|
|
+ cp -r /lib/firmware/ /target/lib/
|
|
|
|
+
|
|
|
|
+
|
|
|
|
+ rm -f /etc/rcn.conf
|
|
|
|
+ rm -f /etc/rcn.conf
|
|
|
|
+fi
|
|
|
|
+fi
|
|
|
|